package com.alpha.lagouapk.bean

import com.google.gson.annotations.SerializedName
import java.io.Serializable

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2021/12/30 14:51
 * @Description 描述：简历违规词提示信息
 **/
data class ResumeWarnInfo(
    val warnInfo: WarnInfo
) : Serializable {
    data class WarnInfo(
        @SerializedName("ADVANTAGE") val advantage: String?,
        @SerializedName("BASE") val base: String?,
        @SerializedName("EDUCATION_EXPERIENCE") val education_experience: String?,
        @SerializedName("NEAR_BY") val near_by: String?,
        @SerializedName("PROJECT_EXPERIENCE") val project_experience: String?,
        @SerializedName("SOCIAL_PAGE") val social_page: String?,
        @SerializedName("WORK_EXPERIENCE") val work_experience: String?
    ) : Serializable
}