package com.alpha.lagouapk.receiver

import com.alpha.lagouapk.R
import com.lagou.baselib.BaseActivity
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.utils.ActivityStackHelper
import com.lagou.commonlibs.utils.LogUtils

/**
 * @date 创建时间：2020-05-22
 * @author 作者：codeman
 * @Description  描述：极光拉活功能中转activity
 * @version
 *
 * 特别注意：拉活功能只拉活进程，不能启动页面（虽然能启动页面）
 */
class JPushPullActivity : BaseActivity() {

    override fun init() {
        if (ActivityStackHelper.isLastActivity(this)){
            /***
             * 拉起上报埋点
             */
            AnalyticHelper.getInstance().sendClickInfo("1qe8", "1qe9")
        }
        NewJPushReceiver.reconnect()

        finish()
        LogUtils.i("JPushPullActivity", "-----页面被极光拉起了-----")
    }

    override fun getContentLayoutId() = R.layout.activity_triple_push

}