package com.common.bean

import java.io.Serializable

/**
 * Scheme跳转响应结果
 * @param action NOT--无行为，UPGRADE_APP--升级弹窗，TOAST--文本提示
 * @param text 当action为TOAST时的提示文案
 */
const val ACTION_DEFAULT = "NOT"
const val ACTION_DIALOG = "UPGRADE_APP"
const val ACTION_TOAST = "TOAST"
const val ACTION_H5 = "H5"
data class SchemeActionResponse(val action:String?,val text:String?,val url:String?):Serializable
/**
 * Scheme跳转请求参数
 */
data class SchemeActionRequest(val schemeUrl:String?) : Serializable