package com.common.ui.collect

import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.lagou.baselib.BaseActivity
import kotlinx.android.synthetic.main.activity_device_other_info_main.*

/**
 * 当前设备信息与其他信息
 */
class DeviceAppInfoActivity:BaseActivity() {
    companion object{
        const val TYPE_DEVICE_INFO = 1
        const val TYPE_OTHER_INFO = 2
    }
    override fun getContentLayoutId() = R.layout.activity_device_other_info_main

    override fun init() {
        val type =  intent.getIntExtra(IntentUtils.INTENT_KEY_TYPE,TYPE_DEVICE_INFO)
        deviceInfoTitleBar.setCenterTvTxt(if (type == TYPE_OTHER_INFO) "其他信息" else "当前设备信息")
        val fragment = if (type == TYPE_OTHER_INFO) OtherInfoFragment() else DeviceInfoFragment()
        supportFragmentManager.beginTransaction().add(R.id.fg_main_container, fragment).commit()
        deviceInfoTitleBar.setLeftImgListener { finish() }
    }
}