package com.common.ui.collect

import android.os.Bundle
import com.alpha.lagouapk.R
import com.lagou.baselib.BaseFragment
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.StringUtil
import kotlinx.android.synthetic.main.fragment_device_info.*
import java.util.*

/**
 * 当前设备信息
 */
class DeviceInfoFragment:BaseFragment() {
    override fun getLayoutId() = R.layout.fragment_device_info

    override fun init() {
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        liDeviceOSVersion.value = DeviceUtils.getOsReleaseVersion()
        liDeviceResolution.value = StringUtil.jointString("*",DeviceUtils.getRealScreenWidth(mContext).toString(),DeviceUtils.getRealScreenHeight(mContext).toString())
        liDeviceArea.value = getCurrentTimeZoneID()
    }
    private fun getCurrentTimeZoneID():String{
        val timeZone = TimeZone.getDefault()
        return timeZone.id
    }
}