package com.common.ui.collect

import android.os.Bundle
import com.alpha.lagouapk.R
import com.alpha.lagouapk.UserRoleManager
import com.common.utils.DeviceidModel
import com.lagou.baselib.BaseFragment
import com.lagou.baselib.monitor.PerformanceMonitorHelper
import com.lagou.commonlibs.utils.AppInfoUtils
import kotlinx.android.synthetic.main.fragment_other_info.*

/**
 * 其他信息
 */
class OtherInfoFragment:BaseFragment() {
    override fun getLayoutId() = R.layout.fragment_other_info

    override fun init() {
    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)
        liUserId.value = UserRoleManager.getInstance().userId.toString()
        liDeviceId.value = DeviceidModel.getSavedDeviceId()
        liAppName.value = AppInfoUtils.getAppName()
        liAppVersion.value = AppInfoUtils.getVersionName()
        liDownloadChannel.value = PerformanceMonitorHelper.getAppInfo().channelId
    }
}