package com.common.widget.interview

import com.common.bean.json.InterviewCalendarDayRes
import com.common.widget.popup.InterviewCalenderPopup

class CalenderExpandPopupFactory(calendarExpandPopup: InterviewCalenderPopup) :
        ICalenderExpandView {

    private val calendarExpandPopup: InterviewCalenderPopup = calendarExpandPopup

    override fun fillUi() {
        calendarExpandPopup.delayCalendarUi()
    }

    override fun beforeCalendar(isExpand: Boolean) {
        calendarExpandPopup.beforeCalendar(isExpand)
    }

    override fun afterCalendar(isExpand: Boolean) {
        calendarExpandPopup.afterCalendar(isExpand)
    }

    override fun syncFoldCalendar(calendarDay: InterviewCalendarDayRes, isApplyFold: Boolean) {
        calendarExpandPopup.syncFoldCalendar(calendarDay, isApplyFold)
    }

    override fun showAnim() {
        calendarExpandPopup.showAnim()
    }

}