package com.common.widget.interview

import android.view.View
import com.alpha.lagouapk.R
import com.common.bean.json.InterviewCalendarDayRes

class CalenderExpandViewFactory(calendarExpandView: InterviewCalenderExpandView) :
    ICalenderExpandView {

    val calendarExpandView = calendarExpandView

    override fun fillUi() {
        calendarExpandView.fillUi();
    }

    override fun beforeCalendar(isExpand: Boolean) {
        calendarExpandView.beforeCalendar(isExpand)
    }

    override fun afterCalendar(isExpand: Boolean) {
        calendarExpandView.afterCalendar(isExpand)
    }

    override fun syncFoldCalendar(calendarDay: InterviewCalendarDayRes, isApplyFold: Boolean) {
        calendarExpandView.syncFoldCalendar(calendarDay, isApplyFold)
    }

    override fun showAnim() {
        var calenderView = calendarExpandView.findViewById<View>(R.id.lin_calendar);
        calendarExpandView.initAnim(calenderView.height)
        calendarExpandView.showAnim()
    }

    fun hideAnim() {
        calendarExpandView.hideAnim()
    }

}