package com.lagou.lagouee.ui.resume.mail

import com.lagou.lagouee.bean.MailItem

/**
 * 邮件转发搜索契约类
 *
 * @author yph
 * @date 2019/9/30
 */
interface MailSearchContract {
    interface Presenter {
        fun getSearchList(keyword: String, first: Boolean, label: Long)
    }

    interface View {
        fun showSearchList(list: List<MailItem>, keyword: String, first: Boolean, hasNext: Boolean, label: Long)

        fun showSearchTip(keyword: String, label: Long)

        fun showSearchListFailure(first: Boolean, label: Long)
    }
}