package com.lagou.lagouee.ui.settled.requirement

/**
 * 当itemType为title/cell时text有效,为对应文本
 * 当itemType为cell时index有效,为对应类型中的索引值
 */
class RequirementItem(val itemType: Int, val text: String = "", val index: Int = 0) {
    companion object {
        const val HEADER = 1
        const val TITLE = 2
        const val CELL = 3

        /**
         * test
         */
        fun test(): List<RequirementItem> = listOf(
                RequirementItem(HEADER),
                RequirementItem(TITLE, "技术研发"),
                RequirementItem(CELL, "Android0", 0),
                RequirementItem(CELL, "Android1", 1),
                RequirementItem(CELL, "Android2", 2),
                RequirementItem(CELL, "Android3", 3),
                RequirementItem(CELL, "Android4", 4),
                RequirementItem(CELL, "Android5", 5),
                RequirementItem(CELL, "Android6", 6),
                RequirementItem(TITLE, "产品/设计"),
                RequirementItem(CELL, "产品经理0", 0),
                RequirementItem(CELL, "产品经理1", 1),
                RequirementItem(CELL, "产品经理2", 2),
                RequirementItem(CELL, "产品经理3", 3),
                RequirementItem(CELL, "产品经理4", 4),
                RequirementItem(CELL, "产品经理5", 5),
                RequirementItem(CELL, "产品经理6", 6),
                RequirementItem(TITLE, "运营市场"),
                RequirementItem(CELL, "用户运营0", 0),
                RequirementItem(CELL, "用户运营1", 1),
                RequirementItem(CELL, "用户运营2", 2),
                RequirementItem(CELL, "用户运营3", 3),
                RequirementItem(CELL, "用户运营4", 4),
                RequirementItem(CELL, "用户运营5", 5),
                RequirementItem(CELL, "用户运营6", 6)
        )
    }
}
