package com.lagou.lagouee.utils

/**
 * 入驻认证UI标记
 *
 * @author yph
 * @date 2020/4/29
 */

/**
 * 已认证
 */
const val AUTHED = 1

/**
 * 未认证，有推荐人才
 */
const val UNAUTH_RECOMMEND_TALENT = 2

/**
 * 未认证，无推荐人才，能发布职位
 */
const val UNAUTH_CAN_PUBLISH = 3

/**
 * 未认证，无推荐人才，不能发布职位
 */
const val UNAUTH_CAN_NOT_PUBLISH = 4

/**
 * 未认证，高风险
 */
const val UNAUTH_HIGH_RISK = 5

/**
 * 未认证，只有标题
 */
const val UNAUTH_EMPTY = 6



