package com.alpha.lagouapk.bean

import java.io.Serializable

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/4/26 17:48
 * @Description 描述：用户分层运营广告信息
 **/
data class GradeUserAdBean(
    var backcolor: String?,
    var id: String?,
    var imageUrl: String?,
    var jumpUrl: String?,
    var key: String?,
    var name: String?,
    var popupFrequency: Int,
    var popupType: String?,
    var showIndex: Int
) : Serializable{
    //弹窗展示策略：如果是daily，一天展示一次；如果是valid,则一天可能展示多次；不管是哪种类型，App生命周期内只展示一次
    fun isDaily():Boolean = this.popupType == "daily"
}

