@file:JvmName("CollectModuleCopy")
package com.common.ui.collect

const val SEE_COLLECT_DETAIL = "查看详情"
const val NO_COLLECT_DETAIL = "-"
const val HAD_COLLECT = "已收集"
const val HAD_NOT_COLLECT = "未收集"
const val VER_IDENTITY = "身份验证"
const val VER_IDENTITY_SCENE = "用户实名认证时"
const val COLLECT_BASE_INFO_TITLE = "用户基本信息"
const val COLLECT_IDENTITY_TITLE = "用户身份信息"
const val COLLECT_USE_INFO_TITLE = "用户使用过程信息"
const val COLLECT_DEVICE_INFO_TITLE = "用户设备信息"
const val BUSINESS_TRADE_DETAIL_URL = "https://activity.lagou.com/app/business/consume-detail.html"

/**
 * C端基本信息
 */
//个人信息
const val C_BASE_PERSONAL_NAME = "个人信息"
const val C_BASE_PERSONA_PURPOSE = "个人信息及在线简历的展示"
const val C_BASE_PERSONA_SCENE = "编辑个人信息时"
const val C_BASE_PERSONA_DETAIL = "头像、姓名、出生日期、性别、所在城市、手机号、邮箱、当前身份、微信号、参加工作时间"

//求职期望
const val C_BASE_EXPECT_NAME = "求职期望"
const val C_BASE_EXPECT_PURPOSE = "在线简历的展示及相关职位推荐"
const val C_BASE_EXPECT_SCENE = "简历创建及修改求职意向时"

//个人优势
const val C_BASE_ADVANTAGE_NAME = "个人优势"
const val C_BASE_ADVANTAGE_PURPOSE = "在线简历的展示和投递"
const val C_BASE_ADVANTAGE_SCENE = "添加及修改个人优势时"

//工作经历
const val C_BASE_WORK_NAME = "工作履历"
const val C_BASE_WORK_PURPOSE = "在线简历的展示和投递"
const val C_BASE_WORK_SCENE = "简历创建及修改工作经历、修改项目经历时"
const val C_BASE_WORK_DETAIL = "工作经历、项目经历"

//教育经历
const val C_BASE_EDU_NAME = "教育经历"
const val C_BASE_EDU_PURPOSE = "在线简历的展示和投递"
const val C_BASE_EDU_SCENE = "简历创建及修改教育经历时"

//社交主页
const val C_BASE_SOCIAL_NAME = "社交主页"
const val C_BASE_SOCIAL_PURPOSE = "在线简历的展示和投递"
const val C_BASE_SOCIAL_SCENE = "添加及修改社交主页时"

//附件简历
const val C_BASE_ATTACH_NAME = "附件简历"
const val C_BASE_ATTACH_PURPOSE = "生成在线简历及附件简历的展示"
const val C_BASE_ATTACH_SCENE = "上传附件简历"

//图片作品
const val C_BASE_PHOTO_WORKS_NAME = "图片作品"
const val C_BASE_PHOTO_WORKS_PURPOSE = "在线简历的展示"
const val C_BASE_PHOTO_WORKS_SCENE = "添加及修改个人作品时"

//账号信息
const val C_BASE_ACCOUNT_NAME = "账号信息"
const val C_BASE_ACCOUNT_PURPOSE = "用户注册及个人资料展示"
const val C_BASE_ACCOUNT_SCENE = "用户绑定微信账号时"

//住址
const val C_BASE_ADDRESS_NAME = "我的住址"
const val C_BASE_ADDRESS_PURPOSE = "展示家附近的职位"
const val C_BASE_ADDRESS_SCENE = "用户添加或修改家的位置时"
const val C_BASE_ADDRESS_CONTENT = "-"
/**
 * 用户使用过程信息
 */
//服务交易支付记录
const val C_USE_TRADE_NAME = "服务交易支付记录"
const val C_USE_TRADE_PURPOSE = "展示商业化订单"
const val C_USE_TRADE_SCENE = "购买商业化服务时"
//收藏的职位
const val C_USE_COLLECT_POSITION_NAME = "收藏的职位"
const val C_USE_COLLECT_POSITION_PURPOSE = "展示收藏的职位"
const val C_USE_COLLECT_POSITION_SCENE = "收藏职位时"
//关注的公司
const val C_USE_ATTENTION_COMPANY_NAME = "关注的公司"
const val C_USE_ATTENTION_COMPANY_PURPOSE = "展示关注的公司"
const val C_USE_ATTENTION_COMPANY_SCENE = "关注公司时"

/**
 * B端基本信息
 */
//B端账户信息收集
const val B_BASE_ACCOUNT_NAME = "账号信息"
const val B_BASE_ACCOUNT_PURPOSE = "用户注册及个人资料展示"
const val B_BASE_ACCOUNT_SCENE = "用户注册及绑定、修改账号时"
const val B_BASE_ACCOUNT_DETAIL = "手机号、微信账号、个人邮箱"

//B端个人信息收集
const val B_BASE_PERSONAL_NAME = "个人信息"
const val B_BASE_PERSONAL_PURPOSE = "用户注册及个人信息展示"
const val B_BASE_PERSONAL_SCENE = "用户注册以及编辑时"
const val B_BASE_PERSONAL_DETAIL = "头像、姓名、微信号、接收简历邮箱、职位、所属公司"
/**
 * B端身份信息
 */
//身份证号
const val B_IDENTITY_ID_NAME = "身份证号码"
//姓名
const val B_IDENTITY_USER_NAME = "姓名"
/**
 * 用户使用过程信息
 */
//商业化服务交易记录
const val B_USE_TRADE_NAME = "商业化服务交易记录"
const val B_USE_TRADE_PURPOSE = "展示商业化订单"
const val B_USE_TRADE_SCENE = "购买商业化服务时"
//收藏的简历
const val B_USE_COLLECT_RESUME_NAME = "收藏的简历"
const val B_USE_COLLECT_RESUME_PURPOSE = "收藏简历展示"
const val B_USE_COLLECT_RESUME_SCENE = "用户收藏简历时"
//认证材料
const val B_USE_VER_MATERIAL_NAME = "认证材料"
const val B_USE_VER_MATERIAL_PURPOSE = "个人信息验证"
const val B_USE_VER_MATERIAL_SCENE = "用户进行身份认证时"
//正在运行的应用程序列表
const val BC_USE_RUN_APPS_NAME = "正在运行的应用程序列表信息"
const val BC_USE_RUN_APPS_PURPOSE = "判断正在运行的进程，分析应用崩溃情况"
const val BC_USE_RUN_APPS_SCENE = "风险控制场景"

/**
 * 设备信息
 */
const val BC_DEVICE_OAID_NAME = "OAID"
const val BC_DEVICE_OAID_PURPOSE = "保障账号安全，进行信息展示"
const val BC_DEVICE_SCENE = "用户登录以及使用过程中，第三方SDK按需收集"
const val BC_DEVICE_PURPOSE = "用户兼容性判断和安全保障"
const val BC_DEVICE_OS_NAME = "操作系统"
const val BC_DEVICE_OS_VERSION_NAME = "系统版本"
const val BC_DEVICE_STYLE_NAME = "设备型号"
const val BC_DEVICE_IP_NAME = "IP地址"


