package com.common.utils

import com.bumptech.glide.load.Key
import com.bumptech.glide.signature.ObjectKey
import com.lagou.commonlibs.utils.TimeUtils

/**
 * @date 创建时间：2020/11/15
 * @author 作者：codeman
 * @Description  描述：
 * @version
 */
class GlideHelper {

    companion object {
        /***
         * Glide缓存头像的签名，签名变化会更新头像
         */
        fun defaultHeadCacheSign(): Key {
            val todayTime = TimeUtils.convertYearMonthDayTime(System.currentTimeMillis())
            return ObjectKey(todayTime.toString())
        }

        fun cacheSignWithIn1Day(): String {
            return TimeUtils.convertYearMonthDayTime(System.currentTimeMillis()).toString()
        }
    }

}