package com.lagou.lagouee.ui.dialog

import android.view.View
import android.view.WindowManager
import com.alpha.lagouapk.R
import com.common.utils.ViewUtils
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import kotlinx.android.synthetic.main.dialog_batch_invite.*

/**
 * 批量邀约提示弹窗
 *
 * @author yph
 * @date 2020/3/24
 */
class BatchInviteTipDialog : BaseDialogFragment() {
    var onClickListener: View.OnClickListener? = null

    override fun getLayoutId(): Int = R.layout.dialog_batch_invite

    override fun getWidth(): Int = (0.885 * screenWidth).toInt()

    override fun getHeight(): Int = WindowManager.LayoutParams.WRAP_CONTENT

    override fun fillUI() {
        super.fillUI()
        btn_cut_cancel?.setOnClickListener { dismiss() }
        ViewUtils.ditherClick(btn_cut_confirm) {
            dismiss()
            onClickListener?.onClick(it)
        }
    }
}