package com.lagou.lagouee.ui.settled.requirement

/**
 * 选择招聘需求契约类
 *
 * @author yph
 * @date 2019/10/29
 */
interface RecruitRequireContract {
    interface Presenter {
        fun getRecruitInfo()

        fun submit(list: List<String>)

        fun skip()
    }

    interface View {
        fun showLoading()

        fun hideLoading()

        fun showRecruitInfoSuccess(list: List<RequirementItem>)

        fun submitSuccess()

        fun skipSuccess()

        fun showRecruitInfoFailure()
    }
}